> For the complete documentation index, see [llms.txt](https://docs.wepin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wepin.io/en/widget-integration/android-java-and-kotlin-sdk/widget-library/installation.md).

# Installation

## Requirements

Android API version <mark style="color:blue;">`24`</mark> or higher

## Installation

### Add Wepin Widget Library to .gradle&#x20;

Add the JitPack repository to the project-level's build gradle file

```kts
 dependencyResolutionManagement {
     repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
     repositories {
         google()
         mavenCentral()
         maven("https://jitpack.io") // <= Add JitPack Repository
     }
 }
```

### Add Wepin Widget Library to dependencies&#x20;

Add the following to the app's build gradle file. You can insert the release version you want to use.

```kts
dependencies {
  // ...
  implementation("com.github.WepinWallet:wepin-android-sdk-widget-v1:vX.X.X") 
}
```

## Release

The released package versions can be found on the GitHub repository below.

{% embed url="<https://github.com/WepinWallet/wepin-android-sdk-widget-v1>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/android-java-and-kotlin-sdk/widget-library/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
